Bullet Collision Detection & Physics Library: btInternalEdgeUtility.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Enumerations | Functions
btInternalEdgeUtility.h File Reference
`#include "LinearMath/btHashMap.h"`
`#include "LinearMath/btVector3.h"`
`#include "BulletCollision/CollisionShapes/btTriangleInfoMap.h"`
Include dependency graph for btInternalEdgeUtility.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | btInternalEdgeAdjustFlags { BT_TRIANGLE_CONVEX_BACKFACE_MODE = 1, BT_TRIANGLE_CONCAVE_DOUBLE_SIDED = 2, BT_TRIANGLE_CONVEX_DOUBLE_SIDED = 4 }

## Functions
void | btGenerateInternalEdgeInfo (btBvhTriangleMeshShape *trimeshShape, btTriangleInfoMap *triangleInfoMap)
| Call btGenerateInternalEdgeInfo to create triangle info, store in the shape 'userInfo'. More...
void | btAdjustInternalEdgeContacts (btManifoldPoint &cp, const btCollisionObjectWrapper *trimeshColObj0Wrap, const btCollisionObjectWrapper *otherColObj1Wrap, int partId0, int index0, int normalAdjustFlags=0)
| Call the btFixMeshNormal to adjust the collision normal, using the triangle info map (generated using btGenerateInternalEdgeInfo) If this info map is missing, or the triangle is not store in this map, nothing will be done. More...

## Enumeration Type Documentation

enum btInternalEdgeAdjustFlags

Enumerator
BT_TRIANGLE_CONVEX_BACKFACE_MODE |
BT_TRIANGLE_CONCAVE_DOUBLE_SIDED |
BT_TRIANGLE_CONVEX_DOUBLE_SIDED |

Definition at line 21 of file btInternalEdgeUtility.h.

## Function Documentation

void btAdjustInternalEdgeContacts | ( | btManifoldPoint & | cp,
|  | const btCollisionObjectWrapper * | colObj0Wrap,
|  | const btCollisionObjectWrapper * | colObj1Wrap,
|  | int | partId0,
|  | int | index0,
|  | int | normalAdjustFlags
| ) |  |

Call the btFixMeshNormal to adjust the collision normal, using the triangle info map (generated using btGenerateInternalEdgeInfo) If this info map is missing, or the triangle is not store in this map, nothing will be done.

Call the btFixMeshNormal to adjust the collision normal, using the triangle info map (generated using btGenerateInternalEdgeInfo) If this info map is missing, or the triangle is not store in this map, nothing will be done.

Definition at line 453 of file btInternalEdgeUtility.cpp.

void btGenerateInternalEdgeInfo | ( | btBvhTriangleMeshShape * | trimeshShape,
|  | btTriangleInfoMap * | triangleInfoMap
| ) |  |

Call btGenerateInternalEdgeInfo to create triangle info, store in the shape 'userInfo'.

Definition at line 315 of file btInternalEdgeUtility.cpp.